Subject: bug#27973: 26.0.50; Feature Request - OSX - Transparent Titlebars

From: James Nguyen <[email-masked]>
Date: Sun, 06 Aug 2017 08:41:37 -0700

Alan Third <[email-masked]> writes:

It'd be great if the current frame can be updated programatically.

I think many use a 'theme-changer' that changes themes from light to
dark or vice versa and would want ther rest of the UI to match after.

> On Sat, Aug 05, 2017 at 05:39:03PM -0700, James Nguyen wrote:
>> It looks reasonable to me, the toolbar is also transparent.
>> 
>> https://www.dropbox.com/s/tiy36twyut6uw73/Screenshot%202017-08-05%2017.31.42.png?dl=0
>> 
>> The frame color isn't adjustable since I'm setting up the colors at
>> Emac's compile time so using a dark theme results in dark font in the
>> title bar instead of a light one.
>
> It seems to me there are at least two things we want here:
>
>   1. Setting transparency of UI elements. Possibly with an option to
>   use ‘unified’ toolbars and titlebars.
>
>   2. Setting the NSAppearance theme.
>
> After messing about with NSAppearance I’ve discovered this is the
> solution to one of my bugbears: if you set it to dark then the
> scrollbars are no longer white, which always looks stupid with a dark
> Emacs theme.
>
> I’m not sure how these settings should be implemented, though. I think
> they’d be best as frame parameters, but none of the existing frame
> parameters are system dependent like these, so I don’t know if doing
> it that way would upset anyone.
>
> Alternatively we just make them variables which affect any
> subsequently created frames.
> -- 
> Alan Third